<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: news_archives_panel.php
| Author: Chief
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+
|  1    DB_NEWS.   
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

$limit				= 1000;	//     ,       
$news_archive_type	= 2;	//  

/*
$news_archive_type = 1

	2013-12
	2013-11
	2013-10
	2013-09
	2013-08
	
$news_archive_type = 2

	 2013
	 2013
	 2013
	 2013
	 2013

$news_archive_type = 3

	2013: 1 2 3 4 5

$news_archive_type = 4
	
	2013
	01 02 03 04 05
	
$news_archive_type = 5

	2013
	, , , , 
	
$news_archive_type = 6

	2013 > , , , , 

*/

if (file_exists(INFUSIONS."news_archives_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."news_archives_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."news_archives_panel/locale/English.php";
}

$news = ("
	SELECT news_id, news_datestamp
	FROM ".DB_NEWS."
	WHERE ".groupaccess('news_visibility')."
	AND (news_start = '0' || news_start <= ".time().")
	AND (news_end = '0' || news_end >= ".time().")
	AND news_draft = '0'
	ORDER BY news_datestamp DESC, news_id
	LIMIT 0, ".$limit."
");

$result = dbquery($news);
$data = array();

while ($row = dbarray($result)) {
	$year = date('Y', $row['news_datestamp']);
	
	if ($news_archive_type == 3) {
		$month = date('n', $row['news_datestamp']);
	} else {
		$month = date('m', $row['news_datestamp']);
	}
	
	$data[$year][$month][] = $row;
}

openside($locale['news_archive']);

echo "<div class='tbl'>\n";

/*
	2013-12
	2013-11
	2013-10
	2013-09
	2013-08
*/
if ($news_archive_type == 1) {
	echo "<ul style='list-style:none;margin:0;padding-left:0'>\n";
	
	foreach($data as $_year => $_months) {
		foreach($_months as $_month => $_entries) {
			echo "\t<li><a href='".BASEDIR."news_archive.php?date=".$_year."-".$_month."' class='side'>".$_year."-".$_month."</a></li>\n";
		}
	}
	
	echo "</ul>\n";

/*
	 2013
	 2013
	 2013
	 2013
	 2013
*/
} elseif ($news_archive_type == 2) {
	$months = explode("|", $locale['months']); // 

	echo "<ul style='list-style:none;margin:0;padding-left:0'>\n";
	
	foreach($data as $_year => $_months) {
		foreach($_months as $_month => $_entries) {
			echo "\t<li><a href='".BASEDIR."news_archive.php?date=".$_year."-".$_month."' class='side'>".$months[number_format($_month)]." ".$_year."</a></li>\n";
		}
	}
	
	echo "</ul>\n";

/*
	2013: 1 2 3 4 5
*/
} elseif ($news_archive_type == 3) {
	$i = 0;
		
	foreach($data as $_year => $_months) {
		echo "".($i == 0 ? "" : "<br /><br />\n")."<strong><a href='".BASEDIR."news_archive.php?date=".$_year."' class='side'>".$_year."</a>:</strong>\n";
		
		ksort($_months); //       ,     
		
		foreach($_months as $_month => $_entries) {
			echo "\t<a href='".BASEDIR."news_archive.php?date=".$_year."-".($_month < 10 ? "0".$_month : $_month)."' class='side'>".$_month."</a>\n";
		}
		
		$i++;
	}

/*
	2013
	01 02 03 04 05
*/
} elseif ($news_archive_type == 4) {
	$i = 0;
		
	foreach($data as $_year => $_months) {
		echo "".($i == 0 ? "" : "<br /><br />\n")."<strong><a href='".BASEDIR."news_archive.php?date=".$_year."' class='side'>".$_year."</a></strong><br />\n";
		
		ksort($_months);
		
		foreach($_months as $_month => $_entries) {
			echo "\t<a href='".BASEDIR."news_archive.php?date=".$_year."-".$_month."' class='side'>".$_month."</a>\n";
		}
		
		$i++;
	}

/*
	2013
	    
*/
} elseif ($news_archive_type == 5) {
	$i = 0;
	$months = explode("|", $locale['months_short']);
	
	foreach($data as $_year => $_months) {
		echo "".($i == 0 ? "" : "<br /><br />")."<strong><a href='".BASEDIR."news_archive.php?date=".$_year."' class='side'>".$_year."</a></strong><br />";
		
		ksort($_months);
		
		$ii = 1; //    
		
		foreach($_months as $_month => $_entries) {
			echo "\t<a href='".BASEDIR."news_archive.php?date=".$_year."-".$_month."' class='side'>".$months[number_format($_month)]."</a>".($ii < count($_months) ? "," : "")."\n";
			
			$ii++;
		}
		
		$i++;
	}

/*
	2013 > , , , , 
*/
} elseif ($news_archive_type == 6) {
	$i = 0;
	$months = explode("|", $locale['months_full']);
	
	foreach($data as $_year => $_months) {
		echo "".($i == 0 ? "" : "<br /><br />")."<strong><a href='".BASEDIR."news_archive.php?date=".$_year."' class='side'>".$_year."</a></strong> &rarr;";
		
		ksort($_months);
		
		$ii = 1;
		
		foreach($_months as $_month => $_entries) {
			echo "\t<a href='".BASEDIR."news_archive.php?date=".$_year."-".$_month."' class='side'>".$months[number_format($_month)]."</a>".($ii < count($_months) ? "," : "")."\n";
			
			$ii++;
		}
		
		$i++;
	}
}

echo "</div>\n";

closeside();

?>