<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: news_calendar_panel.php
| Author: Chief
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."news_calendar_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."news_calendar_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."news_calendar_panel/locale/English.php";
}

/*  ================================================================================================
    
    ================================================================================================ */

	$weekend_highlight	=	0;		//   [0 =  | 1 =  | 2 =   ]
	$limit				=	5;		// -   ,    (  moar! -  )
	$subject_lenght		=	40;		// ,      ( )
	$side				=	"left"; //   [ up | down | left | right ] (    )
	
/*  ================================================================================================ */

//   
if (isset($_POST['prev_month']) && (isset($_POST['curr_month']) && isnum($_POST['curr_month'])) && (isset($_POST['curr_year']) && isnum($_POST['curr_year']))) {
    if ($_POST['curr_month'] == 1) {
        $date = mktime(0, 0, 0, 12, 1, ($_POST['curr_year'] - 1));
    } else {
        $date = mktime(0, 0, 0, ($_POST['curr_month'] - 1), 1, $_POST['curr_year']);
    }
} elseif (isset($_POST['next_month']) && (isset($_POST['curr_month']) && isnum($_POST['curr_month']))) {
    if ($_POST['curr_month'] == 12) {
        $date = mktime(0, 0, 0, 1, 1, ($_POST['curr_year'] + 1));
    } else {
        $date = mktime(0, 0, 0, ($_POST['curr_month'] + 1), 1, $_POST['curr_year']);
    }
} else {
    $date = time();
}

$month			=	date("m", $date);											//   
$year			=	date("Y", $date);											// 

$monthstart		=	mktime(0, 0, 0, $month, 1, $year);							// Timestamp    
$monthend		=	mktime(24, 0, 0, $month, date("t", $monthstart), $year);	// Timestamp    

$days_in_month	=	cal_days_in_month(0, $month, $year);						//   
$day_count		=	1;															//    

$months			=	explode("|", $locale['months']);							//    
$months2		=	explode("|", $locale['months2']);							//     

//    
if ($month - 1 == 0) {
	$prev_month = 12;
	$prev_year = $year - 1;
} else {
	$prev_month = $month - 1;
	$prev_year = $year;
}

//    
if ($month + 1 > 12) {
	$next_month = 1;
	$next_year = $year + 1;
} else {
	$next_month = $month + 1;
	$next_year = $year;
}

$prev_month_day = cal_days_in_month(0, $prev_month, $prev_year); // -    

switch (date("D", $monthstart)) { //    
    case "Mon": $blank = 0; break;
    case "Tue": $blank = 1; break;
    case "Wed": $blank = 2; break;
    case "Thu": $blank = 3; break;
    case "Fri": $blank = 4; break;
    case "Sat": $blank = 5; break;
    case "Sun": $blank = 6; break;
}

/*  ================================================================================================
         
    ================================================================================================ */

//      
$monthevents = dbquery("
	SELECT news_id, news_subject, news_datestamp, news_start, news_end
	FROM ".DB_NEWS."
	WHERE ".groupaccess('news_visibility')."
	AND (news_datestamp  >= ".$monthstart.")
	AND (news_datestamp  <= ".$monthend.")
	AND (news_start = '0' || news_start <= ".time().")
	AND (news_end = '0' || news_end >= ".time().")
	AND news_draft = '0'
	ORDER BY news_datestamp, news_id
	LIMIT ".($limit * $days_in_month)."
");

//    [ ][id  => ]
$news = array();

while ($data = dbarray($monthevents)) {
	$news_day = date("j", $data['news_datestamp']); //   
	$news[$news_day][$data['news_id']] = $data['news_subject']; //   id  
}

/*  ================================================================================================
     
    ================================================================================================ */
openside($locale['news_calendar']);

echo "<table class='cal clear'>
<caption>
	<form name='switch-calendar' method='post' action='".FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : "")."'>
		<input type='hidden' name='curr_month' value='".$month."' />
		<input type='hidden' name='curr_year' value='".$year."' />
		<input type='submit' name='prev_month' value='&laquo;' class='butt prev' />
		<input type='submit' name='next_month' value='&raquo;' class='butt next' />
	</form>
	<span>".$months[number_format($month)]." ".$year."</span>
</caption>

<tr>
	<th>".$locale['monday_sh']."</th>
	<th>".$locale['tuesday_sh']."</th>
	<th>".$locale['wednesday_sh']."</th>
	<th>".$locale['thursday_sh']."</th>
	<th>".$locale['friday_sh']."</th>
	<th".($weekend_highlight == 2 ? " class='cal-weekend'" : "").">".$locale['saturday_sh']."</th>
	<th".(($weekend_highlight == 1 || $weekend_highlight == 2) ? " class='cal-weekend'" : "").">".$locale['sunday_sh']."</th>
</tr>\n";

$day_count = 1; //    ( 1  7)
$prev_month_day -= $blank; //      

//        -     
while ($blank > 0) {
	echo "\t<td class='off'><a href='".BASEDIR."news_archive.php?date=".$prev_year."-".($prev_month < 10 ? "0".$prev_month : $prev_month)."-".(++$prev_month_day)."'>".$prev_month_day."</a></td>\n";
	$blank--;
	$day_count++;
}

$day_num = 1; //   

//    
while ($day_num <= $days_in_month) {
	//       -   
	$has_news = (array_key_exists($day_num, $news) ? "news-day" : "");
	
	//   
	$today = (($year == date("Y", time()) && $month == date("m", time()) && $day_num == date("d", time())) ? "".($has_news != "" ? " " : "")."news-today" : "");
	
	//  
	if (($weekend_highlight == 1 || $weekend_highlight == 2) && $day_count == 7) {
		$weekend = "cal-weekend ";
	
	//  
	} elseif ($weekend_highlight == 2 && $day_count == 6) {
		$weekend = "cal-weekend ";
	} else {
		$weekend = "";
	}
	
	echo "\t<td".(($has_news != "" || $today != "" || $weekend != "") ? " class='".$weekend.$has_news.$today."'" : "")."><a href='".BASEDIR."news_archive.php?date=".$year."-".$month."-".($day_num < 10 ? "0".$day_num : $day_num)."'".(array_key_exists($day_num, $news) ? " id='news_day_".$day_num."'" : "").">".$day_num."</a></td>\n";

	$day_num++;
	$day_count++;
	
	//   
	if ($day_count > 7 && $day_num <= $days_in_month) {
		echo "</tr>\n<tr>\n";

		$day_count = 1;
	}
}

//  
$cnt = 1;

//       -     
while ($day_count > 1 && $day_count <= 7 ) {
	echo "\t<td class='off'><a href='".BASEDIR."news_archive.php?date=".$next_year."-".($next_month < 10 ? "0".$next_month : $next_month)."-".($cnt < 10 ? "0".$cnt : $cnt)."'>".$cnt++."</a></td>\n";
	$day_count++;
}

echo "</table>\n";

/*  ================================================================================================
      
    ================================================================================================ */
	
$bubbletip = "";
$ii = 0;

//   ,     
for ($i = 1; $i <= date("t", $monthstart); $i++) {
	if (array_key_exists($i, $news)) {
		echo "<div id='news_tip_".$i."' style='display:none;'>\n";
		
		if (array_key_exists($i, $news)) {			
			$moar = count($news[$i]) - $limit; //    $limit
			
			foreach ($news[$i] as $key => $val) {
				echo "\t<a href='".BASEDIR."news.php?readmore=".$key."'>".trimlink($val, $subject_lenght)."</a><br />\n";
				
				$ii++;
				
				//       $limit,    c   
				if ($ii == $limit && $moar != 0) {
					echo "\t<a href='".BASEDIR."news_archive.php?date=".$year."-".$month."-".($i < 10 ? "0".$i : $i)."' class='button acenter' style='margin-top:10px;display:block'>".$locale['news_all']." ".$i." ".$months2[number_format($month)]." ".$year."</a>\n";
					break;
				}
			}
		}
		
		echo "</div>\n";
		
		$bubbletip .= "\t$('#news_day_".$i."').bubbletip($('#news_tip_".$i."'), {deltaDirection: '".$side."'});\n";
	}
}

closeside();

//         
add_to_head("<link href='".INFUSIONS."news_calendar_panel/inc/style.css' rel='stylesheet' type='text/css' />
<link href='".INFUSIONS."news_calendar_panel/inc/bubbletip/bubbletip.css' rel='stylesheet' type='text/css' />
<!--[if IE]><link href='".INFUSIONS."news_calendar_panel/inc/bubbletip/bubbletip-ie.css' rel='stylesheet' type='text/css' /><![endif]-->
<script src='".INFUSIONS."news_calendar_panel/inc/bubbletip.js' type='text/javascript'></script>");

if ($bubbletip != "") {
add_to_footer("<script type='text/javascript'>
$(window).bind('load', function() {
".$bubbletip."});
</script>");
}

?>