<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: news_archive.php
| Author: Chief
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "maincore.php";
require_once THEMES."templates/header.php";

if (file_exists(INFUSIONS."news_calendar_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."news_calendar_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."news_calendar_panel/locale/Russian.php";
}

//     
$months = explode("|", $locale['months']); // 
$months2 = explode("|", $locale['months2']); // 

/*  ================================================================================================
      (-, -  ,      .	  
	.  legacy    )
    ================================================================================================ */

$date2 = "";
$err = 0;

//    date -  -   ,     
if (!isset($_GET['date'])) {
	//  ,   
	$month = date("n");
	$year = date("Y");
	$day = date("j");
	
	//   
	//$_GET['date'] = sprintf('%04d-%02d-%02d', $year, $month, $day);
	
	//    
	$_GET['date'] = sprintf('%04d-%02d', $year, $month);
	
}

//    --
if (isset($_GET['date']) && preg_match('/^\d\d\d\d-\d\d-\d\d$/', $_GET['date'])) {
	$date2 = $_GET['date'];
	
	list($year4444, $month22, $day22) = explode('-', $date2);
	
	if (isnum($year4444)) {
		$_GET["year"] = intval($year4444);
	} else {
		$err = 1;
	}
	
	if (isnum($month22) && $month22 > 0 && $month22 <= 12) {
		$_GET["month"] = intval($month22);
	} else {
		$err = 1;
	}
	
	if (isnum($day22) && $day22 > 0 && $day22 <= 31) {
		$_GET['day'] = intval($day22);
	} else {
		$err = 1;
	}

//    -	
} elseif (isset($_GET['date']) && preg_match('/^\d\d\d\d-\d\d$/', $_GET['date'])) {
	$date2 = $_GET['date'];
	
	list($year4444, $month22) = explode('-', $date2);
	
	if (isnum($year4444)) {
		$_GET["year"] = intval($year4444);
	} else {
		$err = 1;
	}
	
	if (isnum($month22) && $month22 > 0 && $month22 <= 12) {
		$_GET["month"] = intval($month22);
	} else {
		$err = 1;
	}

//    
} elseif (isset($_GET['date']) && preg_match('/^\d\d\d\d$/', $_GET['date'])) {
	if (isnum($_GET['date'])) {
		$_GET["year"] = intval($_GET['date']);
	} else {
		$err = 1;
	}
} else {
	$err = 1;
}

$starttime = 0;
$endtime = 0;

/*  ================================================================================================
        
    ================================================================================================ */
	
if ($err == 0 && isset($_GET["year"]) && isset($_GET["month"]) && isset($_GET['day'])) {
	
	//    timestamp  
	$starttime = mktime(0, 0, 0, $_GET["month"], $_GET['day'], $_GET["year"]);
	$endtime = mktime(24, 0, 0, $_GET["month"], $_GET['day'], $_GET["year"]);
	
	add_to_title($locale['global_200'].sprintf($locale['news_in_day'], $_GET['day']." ".$months2[number_format(date("m", $starttime))]." ".$_GET["year"]));

/*  ================================================================================================
        
    ================================================================================================ */
	
} elseif ($err == 0 && isset($_GET["year"]) && isset($_GET["month"]) && !isset($_GET['day'])) {

	//    timestamp  
	$starttime = mktime(0, 0, 0, $_GET["month"], 1, $_GET["year"]);
	$endtime = mktime(24, 0, 0, $_GET["month"], date("t", $starttime), $_GET["year"]);
	
	add_to_title($locale['global_200'].sprintf($locale['news_in_month'], $months[number_format(date("m", $starttime))]." ".$_GET["year"]));

/*  ================================================================================================
        
    ================================================================================================ */

} elseif ($err == 0 && isset($_GET["year"]) && !isset($_GET["month"]) && !isset($_GET['day'])) {

	//    timestamp  
	$starttime = mktime(0, 0, 0, 1, 1, $_GET["year"]);
	$endtime = mktime(24, 0, 0, 12, 31, $_GET["year"]);
	
	add_to_title($locale['global_200'].sprintf($locale['news_in_year'], $_GET["year"]));
}

if ($err == 0) { //   ,     

	/*  ================================================================================================
		    
		================================================================================================ */

	$items_per_page = $settings['newsperpage']; //     -    

	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) {
		$_GET['rowstart'] = 0;
	}

	$rows = dbcount("(news_id)",
		DB_NEWS,
		groupaccess('news_visibility')."
		AND (news_datestamp  >= ".$starttime.")
		AND (news_datestamp  <= ".$endtime.")
		AND (news_start = '0' || news_start <= ".time().")
		AND (news_end = '0' || news_end >= ".time().")
		AND news_draft = '0'
	");

	if ($rows) {
		if (isset($_GET["month"])) {
			opentable((isset($_GET['day']) ? sprintf($locale['news_in_day'], $_GET['day']." ".$months2[number_format(date("m", $starttime))]." ".$_GET["year"]) : sprintf($locale['news_in_month'], $months[number_format(date("m", $starttime))]." ".$_GET["year"])));
		} else {
			opentable(sprintf($locale['news_in_year'], $_GET["year"]));
		}
		
		$result = dbquery("
			SELECT tn.*, tc.*, tu.user_id, tu.user_name, tu.user_status
			FROM ".DB_NEWS." tn
			LEFT JOIN ".DB_USERS." tu ON tn.news_name = tu.user_id
			LEFT JOIN ".DB_NEWS_CATS." tc ON tn.news_cat = tc.news_cat_id
			WHERE ".groupaccess('news_visibility')."
			AND (news_datestamp  >= ".$starttime.")
			AND (news_datestamp  <= ".$endtime.")
			AND (news_start = '0' || news_start <= ".time().")
			AND (news_end = '0' || news_end >= ".time().")
			AND news_draft = '0'
			GROUP BY news_id
			ORDER BY news_sticky DESC, news_datestamp DESC
			LIMIT ".$_GET['rowstart'].", ".$items_per_page."
		");
		
		$i = 0;
		
		while ($data = dbarray($result)) {
			$i++;
			
			$comments = dbcount("(comment_id)",
				DB_COMMENTS."
				WHERE comment_type = 'N'
				AND comment_hidden = '0'
				AND comment_item_id = '".$data['news_id']."'
			");
			
			$news_cat_image = "";
			
			$news_subject = "<a name='news_".$data['news_id']."' id='news_".$data['news_id']."'></a>".stripslashes($data['news_subject']);
			
			$news_cat_image = "<a href='".($settings['news_image_link'] == 0 ? "news_cats.php?cat_id=".$data['news_cat'] : "news.php?readmore=".$data['news_id'] )."'>";
			
			if ($data['news_image_t2'] && $settings['news_image_frontpage'] == 0) {
				$news_cat_image .= "<img src='".IMAGES_N_T.$data['news_image_t2']."' alt='".$data['news_subject']."' class='news-category' /></a>";
			} elseif ($data['news_cat_image']) {
				$news_cat_image .= "<img src='".get_image("nc_".$data['news_cat_name'])."' alt='".$data['news_cat_name']."' class='news-category' /></a>";
			} else {
				$news_cat_image = "";
			}
			
			$news_news = preg_replace("/<!?--\s*pagebreak\s*-->/i", "", ($data['news_breaks'] == "y" ? nl2br(stripslashes($data['news_news'])) : stripslashes($data['news_news'])));
			
			$news_info = array(
				"news_id"				=>	$data['news_id'],
				"user_id"				=>	$data['user_id'],
				"user_name"				=>	$data['user_name'],
				"user_status"			=>	$data['user_status'],
				"news_date"				=>	$data['news_datestamp'],
				"cat_id"				=>	$data['news_cat'],
				"cat_name"				=>	$data['news_cat_name'],
				"cat_image"				=>	$news_cat_image,
				"news_subject"			=>	$data['news_subject'],
				"news_ext"				=>	$data['news_extended'] ? "y" : "n",
				"news_reads"			=>	$data['news_reads'],
				"news_comments"			=>	$comments,
				"news_allow_comments"	=>	$data['news_allow_comments'],
				"news_sticky"			=>	$data['news_sticky']
			);

			echo "<!--news_prepost_".$i."-->\n";
			
			render_news($news_subject, $news_news, $news_info);
		}
		
		echo "<!--sub_news_idx-->\n";
		
		if ($rows > $items_per_page) {
			echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'], $items_per_page, $rows, 3, FUSION_SELF."?".(isset($_GET['date']) ? "date=".$_GET['date']."&amp;" : ""))."\n</div>\n";
		}
		
		closetable();

	/*  ================================================================================================
		    
		================================================================================================ */

	} else {
		if (isset($_GET["month"])) {
			opentable((isset($_GET['day']) ? sprintf($locale['news_in_day'], $_GET['day']." ".$months2[number_format(date("m", $starttime))]." ".$_GET["year"]) : sprintf($locale['news_in_month'], $months[number_format(date("m", $starttime))]." ".$_GET["year"])));
		} else {
			opentable(sprintf($locale['news_in_year'], $_GET["year"]));
		}
		
		echo "<div style='text-align:center'><br />\n".$locale['global_078']."<br /><br />\n</div>\n";
		
		closetable();
	}

} else { //    date       ,     
	add_to_title($locale['global_200'].$locale['archive_error']);
	
	opentable($locale['archive_error']);
	
	echo "<div style='text-align:center'><br />\n".$locale['archive_error_date']."<br /><br />\n</div>\n";
	
	closetable();
}

require_once THEMES."templates/footer.php";

?>